image: node:10.14.2
stages:
- build
- deploy

build:
  stage: build  
  cache:
    paths:
    - node_modules/ 
  script:
  - npm install
  - npm run build
  - rm -rf public
  - mv build public
  artifacts:
    paths:
    - public # mandatory, other folder won't work

production:
  stage: deploy
  image: docker:git
  services:
   - docker:dind
  dependencies:
  - build
  variables:
    DOCKER_DRIVER: overlay
  when: manual
  before_script:
  - docker login -u dockadmin -p manager2018 www.openstock.eu:5000
  script:
  - docker build -t manager-front -f Dockerfile . --build-arg BRANCH_NAME=$CI_COMMIT_REF_SLUG
  after_script:
  - docker tag manager-front www.openstock.eu:5000/dockadmin/manager-front
  - docker push www.openstock.eu:5000/dockadmin/manager-front
  only:
  - master